/* 64ac15 */
.dark-mode {
  filter: invert(100%)
}
*,
*:before,
*:after {
  box-sizing: border-box;
}
html {
    box-sizing: border-box;
    font-size: 60.5%;
    line-height: 1;
}
body {
  font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: #383838;
  padding: 2rem 0 8rem;
  line-height: 1.5rem;
    font-size: 1.5rem;
    background: #fafafa;
}
footer{
  text-align: center;
  position: fixed;
  padding: 5px;
  left: 0;
  bottom: 0px;
  width: 100%;
  background-color: #f90; /* #f0a500;*/
}
a{
  text-decoration: none;
  margin-right: 5px;
  color: #383838;
}
a:hover{
  color:#bd8200;
}
h1{
    text-align: left;
}
h2{
  text-align: center;
}
h3{
  text-align: center;
}
h4 {
  color: #f90; /*#f0a500;*/
}
.subtitle{
    text-align: center;
}
.router-bar{
  font-weight: bolder;
  text-align: left;
}
.guid-item, .returns-item{
  font-size: 80%;
}
.returns-item{
  font-weight: bold;
}

.sidebar {
  grid-area: sidebar;
}

.content {
  grid-area: content;
}

#header {
  z-index: 100;
  grid-area: header;
  background-color: #fafafa;
  text-align: center;
  
  font-weight: bold;
  position: fixed;
  top: 0;
  width: 100%;
  transition: 0.2s;
  opacity: 0.95;
}

.footer {
  grid-area: footer;
}

.sig-strength{
  font-size: 0.8em;
  font-weight: bolder;
  margin-left: 3px;
  text-decoration: underline;
  border-radius: 3px;
}
.buy{
  color: #00bb00;
  font-weight: bolder;
  font-size: 0.8em;
  margin-left: 3px;
}
.sell{
  color: red;
  font-weight: bolder;
  font-size: 0.8em;
  margin-left: 3px;
}
.agreement-text{
  line-height: 1.5em;
}
.flipping-span{
  cursor: pointer;
  margin-right: 10px;
}
.flipping-span:hover{
  color:#bd8200;
}
.ric-span{
  cursor: pointer;
}
.div-row{
  margin-bottom: 5px;
}
.rsi-action,.mixed-action,.sentiment-action,.fetch-signals-action{
  font-size: 1em;
  font-weight: bolder;
}
.sim-action:hover,.rsi-action:hover,.mixed-action:hover,.sentiment-action,.fetch-signals-action:hover,.guid-selector:hover{
  cursor: pointer;
}

#matrix-sig-button-up,#matrix-sig-button-down{
  text-align:center;
  cursor:pointer;
  padding: 5px;
}
#matrix-sig-button-up:hover,#matrix-sig-button-down:hover{
  background-color: #efefef;
}

/* negative & positive sentiment*/
.neg-text{
  color:red;
  font-weight: bold;
}
.pos-text{
  color:green;
  font-weight: bolder;
}
.clickable-text{
  cursor: pointer;
}
.centered-text{
  text-align: center;
  line-height: 1;
}
.bolder-text{
  font-weight: bolder;
}
#new-ric{
  margin-right: 5px;
    border: 1px solid #ccc;
    outline: solid transparent 1px;
    transition: outline .2s ease;
    transition-property: outline, border;
    position: relative;
    z-index: 9;
}

.simple-return-text{
  font-size: 0.7em;
  margin-left: 2px;
  margin-right: 2px;
}

/* Technical Signals */
.tech-signals{
  text-align: right;
  line-height: 1.3;
}

/* progress bar */
.progress-full {
  width: 80%;
  background-color: #ddd;
}
.progress-bar {
  width: 0%;
  height: 0.8rem;
  background-color: #999; /* #f90; #f0a500;*/
  text-align: center; /* To center it horizontally (if you want) */
  line-height: 1em; /* To center it vertically */
  color: white;
}



/* Grid system */
/* https://gridbyexample.com/examples/example8/ */
body {
  margin: 50px;
}

.box {
  background-color: #444;
  color: #fff;
  font-weight: bold;
  border-radius: 5px;
  padding: 5px;
  font-size: 90%;
  overflow: scroll;
}
.box:hover{
  cursor:pointer;
}
.box hr{
  margin: 1rem 0 1rem;
}
.box:nth-child(even) {
  background-color: #ddd;
  color: #000;
}
.box:nth-child(odd) a{
  color:#ddd;
}
.wrapper {
  width: 100%;
  display: grid;
  grid-gap: 10px;
  /*grid-template-columns: repeat(6, 400px);*/
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  /*grid-template-rows: 100px 100px 100px;*/
  /*grid-auto-flow: column;*/
}

/*  Search form */
/*
#gpt-search {
  display: flex;
  justify-content: center;
  margin-top: 50px;
}
#gpt-keyword {
  width: 300px;
  height: 30px;
  padding: 5px;
}

#search-btn {
  height: 30px;
  margin-left: 10px;
}
@media (max-width: 600px) {
  .search-input {
    width: 200px;
  }
}
#gpt-keyword:focus {
  border-color: #0080ff;
}
*/


/**************/
/* check-box */
/* https://alvarotrigo.com/blog/toggle-switch-css/ */
.toggle {
  cursor: pointer;
  display: inline-block;
  height: 4em;
  text-align: center;
  font-size: 0.8em;
}

.toggle-switch {
  display: inline-block;
  background: #ccc;
  border-radius: 16px;
  width: 58px;
  height: 32px;
  position: relative;
  vertical-align: middle;
  transition: background 0.25s;
}
.toggle-switch:before, .toggle-switch:after {
  content: "";
}
.toggle-switch:before {
  content: "";
  line-height: 2;
  display: block;
  background: linear-gradient(to bottom, #fff 0%, #eee 100%);
  border-radius: 50%;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.25);
  width: 24px;
  height: 24px;
  position: absolute;
  top: 4px;
  left: 4px;
  transition: left 0.25s;
}
.toggle:hover .toggle-switch:before {
  background: linear-gradient(to bottom, #fff 0%, #fff 100%);
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.5);
}
.toggle-checkbox:checked + .toggle-switch {
  background: #f90; /*#f0a500;*/
}
.toggle-checkbox:checked + .toggle-switch:before {
  left: 30px;
}

.toggle-checkbox {
  position: absolute;
  visibility: hidden;
}

.toggle-label {
  margin-left: 5px;
  position: relative;
  top: 2px;
}


/* Sticky Sidebar */
/* https://codepen.io/clairecodes/pen/bvWKdr */
.sidebar-wrapper {
  display: flex;
  justify-content: space-between;
  padding: 3%;
  box-sizing: border-box;
}
.sticky-sidebar hr{
  margin: 0.5rem;
}
.sticky-sidebar,.sticky-sidebar-gpt-news{
  width: 8rem;
  height: 6rem;
  opacity: 0.95;
  font-size: 0.8em;
  text-align: center;
  font-weight: bolder;
  overflow: auto;
  /*position: -webkit-sticky;*/
  position: sticky;
  top: 85%;
  left: 95%;
  border: 0px solid #363636;
  background-color: #f90;
  border-radius: 10px;
  border-color:#444;
  color: #222;
  /*https://getcssscan.com/css-box-shadow-examples*/
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  padding: 8px;
}

.sticky-sidebar-gpt-news{
  height: 10rem;
  top: 15%;
  left: 5%;
  z-index: 10;
}

.risk-topic{
  cursor: pointer;
}
.risk-topic:hover{
  color:#bd8200;
}


/*  Tooltips */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 180px;
  line-height: 1.2em;
  font-size: 1.1em;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.tight-text{
  line-height: 1.2;
  font-size: 0.8em;
}

#candle-signals-table tr,
#ner-news tr{
  vertical-align:baseline;
}
#ner-news{
  height:21rem;
  overflow-y: scroll;
}

#algo-ric{
  font-weight: bolder;
}

#calendar-events-list tr:hover,#signals-table tr:hover{
  background-color: #ddd;
}

.font-larger-bolder{
  font-size: 1.3em;
  font-weight: bolder;
}

#order-msg{
  text-align: center;
}

.timed-style{
  font-weight: bolder;
}

.box h3 {
  line-height:1.2em;
}
h3 .chinese {
  font-size: 0.9em;
}
h2 .chinese{
  font-size: 0.8em;
}

.ric-add-btn:hover,
#study-portfolio:hover{
  cursor: pointer;
}


/* Dropdown Button */
.dropbtn {
  font-size: 1.5rem;
  color: #383838;
  font-weight: bold;
  border: none;
  cursor: pointer;
}

/* Dropdown button on hover & focus */
.dropbtn:hover, .dropbtn:focus {
  background-color: #ddd;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}
.dropdown hr{
  margin:0rem;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #ddd;
  min-width: 120px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
  padding: 5px;
  display: block;
}


/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {display:block;}
